CPOTF2(3f)

NAME
CPOTF2 - the Cholesky factorization of a complex Hermitian positive definite matrix A

SYNOPSIS

SUBROUTINE CPOTF2(
    UPLO, N, A, LDA, INFO )

CHARACTER
    UPLO

INTEGER
    INFO, LDA, N

COMPLEX
    A( LDA, * )

PURPOSE
CPOTF2 computes the Cholesky factorization of a complex Hermitian positive definite matrix A. The factorization has the form
   A = U' * U , if UPLO = 'U', or
   A = L * L', if UPLO = 'L',
where U is an upper triangular matrix and L is lower triangular. This is the unblocked version of the algorithm, calling Level 2 BLAS.

ARGUMENTS

UPLO    (input) CHARACTER*1
    Specifies whether the upper or lower triangular part of the Hermitian matrix A is stored. = 'U': Upper triangular
    = 'L': Lower triangular

N       (input) INTEGER
    The order of the matrix A. N >= 0.

A       (input/output) COMPLEX array, dimension (LDA,N)
    On entry, the Hermitian matrix A. If UPLO = 'U', the leading n by n upper triangular part of A contains the upper triangular part of the matrix A, and the strictly lower triangular part of A is not referenced. If UPLO = 'L', the leading n by n lower triangular part of A contains the lower triangular part of the matrix A, and the strictly upper triangular part of A is not referenced. On exit, if INFO = 0, the factor U or L from the Cholesky factorization A = U'*U or A = L*L'.

LDA     (input) INTEGER
    The leading dimension of the array A. LDA >= max(1,N).

INFO    (output) INTEGER
    = 0: successful exit
    < 0: if INFO = -k, the k-th argument had an illegal value
    > 0: if INFO = k, the leading minor of order k is not positive definite, and the factorization could not be completed.